For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Carts
      • Checkouts
      • Consent
      • Customers
          • POSTCreate Customer
      • Subscriptions
      • Form Fields
      • Orders
      • Pickup Options
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTStorefrontCustomers

Create Customer

POST
https://your_store.example.com/api/storefront/customers
POST
/api/storefront/customers
$curl -X POST https://your_store.example.com/api/storefront/customers \
> -H "Content-Type: application/json" \
> -d '{
> "firstName": "Jane",
> "lastName": "Doe",
> "email": "janedoe@example.com",
> "password": "string",
> "acceptsMarketingEmails": true,
> "customFields": [
> {
> "fieldId": "25",
> "fieldValue": "Leave in backyard"
> }
> ]
>}'
Create a *Customer*. > #### Note > * Substitute your storefront domain for `yourstore.example.com`. > * The Send a Test Request feature is not currently supported for this endpoint.
Was this page helpful?
Previous

Storefront Customers

Next

Storefront Subscriptions

Built with

Create a Customer.

Note

  • Substitute your storefront domain for yourstore.example.com.
  • The Send a Test Request feature is not currently supported for this endpoint.

Request

Data sent to the customer endpoint when creating a customer during checkout.
firstNamestringOptional
First name of customer.
lastNamestringOptional
Last name of customer.
emailstringOptional
Email of customer.
passwordstringOptional
Password of customer.
acceptsMarketingEmailsbooleanOptional
Indicates whether customer provided consent to receive marketing emails.
tokenstringOptional

A valid reCAPTCHA token from a successful verification response.

customFieldslist of objectsOptional

Response

Customer successfully created.

Errors

400
Bad Request Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error